<template>
  <div>
    <div class="header">
      <img alt="logo" :src="logoPath"/>
    </div>
    <div class="center">
      <b-container class="msg">
        <p>
          Un e-mail de confirmation vient d'être envoyé à l'adresse indiquée.<br>
          Merci de bien vouloir suivre les instructions données afin de finaliser la création de votre compte.
        </p>
        <!-- <b-button type="button" variant="outline-primary" @click.prevent="$router.push({ name: 'SignIn' })">
          Ouvrir la page de connexion
        </b-button> -->
      </b-container>
    </div>
    <small class="footer">
      <p>Propulsé par <a href="https://www.neogeo.fr/" target="_blank" rel="noopener">Neogeo-Technologies</a></p>
    </small>
  </div>
</template>

<script>
export default {
  
  name: 'SignUpSuccess',

  data: () => {
    return { };
  },

  computed: {
    logoPath() {
      return require(process.env.VUE_APP_LOGO);
    }
  }
};
</script>

<style lang="less" scoped>
.header {
  position: absolute;
  top: 0;
  left: 0;
}

.header > img {
  width: 440px;
}

.center {
  position: initial;
}

.center .msg.container {
  margin: 0;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  text-align: center;
}

.center .msg.container,
.center .msg.container button {
  font-size: large;
}

.footer {
  position: absolute;
  bottom: 0;
  font-size: small;
}

.footer a {
  text-decoration: none;
}
</style>
